/// <reference types="react" />

import {ImageLoaderProps} from 'next/image'
import {ImageProps as ImageProps_2} from 'next/image'

/**
 * @alpha
 */
declare function Image_2(props: ImageProps): JSX.Element
export {Image_2 as Image}

/**
 * @alpha
 */
export declare const imageLoader: ({src, width, quality}: ImageLoaderProps) => string

/**
 * @alpha
 */
export declare interface ImageProps extends Omit<ImageProps_2, 'loader' | 'src'> {
  /**
   * The `loader` prop is not supported on `Image` components. Use `next/image` directly to use a custom loader.
   */
  loader?: never
  /**
   * Must be a string that is a valid URL to an image on the Sanity Image CDN.
   */
  src: string
}

export {}
