/// <reference types="react" />

import {createClient} from '@sanity/client'
import {default as groq} from 'groq'
import {PortableTextBlock} from '@portabletext/types'
import {unstable__adapter} from '@sanity/client'
import {unstable__environment} from '@sanity/client'
import {VisualEditingOptions} from '@sanity/visual-editing'

export {createClient}

export {groq}

export {PortableTextBlock}

export {unstable__adapter}

export {unstable__environment}

/**
 * @public
 */
export declare function VisualEditing(props: VisualEditingProps): React.ReactElement

/**
 * @public
 */
export declare interface VisualEditingProps extends Omit<VisualEditingOptions, 'history'> {
  /**
   * @deprecated The histoy adapter is already implemented
   */
  history?: never
}

export * from '@portabletext/react'
export * from '@sanity/client'

export {}
